package com.multictrl.modules.business.service;

import com.multictrl.common.page.PageData;
import com.multictrl.modules.business.dto.DockDTO;
import com.multictrl.modules.business.dto.multi.MultiDockDTO;
import com.multictrl.modules.business.dto.multi.MultiGroupDTO;
import com.multictrl.modules.business.dto.multi.MultiGroupDeviceDTO;
import com.multictrl.modules.business.dto.multi.MultiTaskDTO;

import java.util.List;
import java.util.Map;

/**
 * 阿罗斯机场 蛙跳 充电机库 Ars550 换电机库 Ars600
 *
 * @author 张闯
 * @since 2026-05-28
 */
public interface MultiService {

    PageData<DockDTO> pageList(Map<String, Object> params);

    PageData<MultiGroupDTO> pageMultiGroup(Map<String, Object> params);

    void saveMultiGroup(MultiGroupDTO multiGroupDTO);

    void saveMultiGroupDevice(MultiGroupDeviceDTO multiGroupDeviceDTO);

    void updateMultiGroup(MultiGroupDTO multiGroupDTO);

    //    void updateMultiGroupDevice(MultiGroupDeviceDTO multiGroupDeviceDTO);
    void deleteMultiGroupDevice(List<Long> ids);

    void deleteMultiGroup(List<Long> ids);

    List<DockDTO> getMultiGroupDockList(String multiGroupId);

    String privateMultiDockTaskFlightTaskCheck(MultiTaskDTO multiTaskDTO);

    String privateMultiDockFlightTaskOutbound(MultiTaskDTO multiTaskDTO);

    String privateMultiDockFlightTaskInbound(MultiTaskDTO multiTaskDTO);

}
